summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-03-11 11:54:45 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-03-11 11:54:45 -0400
commit6518a0dbbe2ea100d1e35ec1dd1b9d99b26451ed (patch)
tree27dc8a13ed4cf3172a8f2d1a4b51f0ffd753aba2
parent24727df416bb3ba6705028b2912a084cd0f687de (diff)
minor tweaks
-rw-r--r--larbs.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/larbs.sh b/larbs.sh
index 6a718a9..375aa51 100644
--- a/larbs.sh
+++ b/larbs.sh
@@ -161,7 +161,7 @@ finalize(){ \
### This is how everything happens in an intuitive format and order.
# Check if user is root on Arch distro. Install dialog.
-installpkg dialog || error "Are you sure you're running this as the root user and have an internet connection?"
+installpkg dialog || error "Are you sure you're running this as the root user and have an internet connection?"
# Welcome user and pick dotfiles.
welcomemsg || error "User exited."
@@ -183,7 +183,7 @@ adduserandpass || error "Error adding username and/or password."
# Refresh Arch keyrings.
# refreshkeys || error "Error automatically refreshing Arch keyring. Consider doing so manually."
-dialog --title "LARBS Installation" --infobox "Installing \`basedevel\` and \`git\` for installing other software." 5 70
+dialog --title "LARBS Installation" --infobox "Installing \`basedevel\` and \`git\` for installing other software required for the installation of other programs." 5 70
installpkg curl
installpkg base-devel
installpkg git
@@ -194,7 +194,7 @@ installpkg git
newperms "%wheel ALL=(ALL) NOPASSWD: ALL"
# Make pacman and yay colorful and adds eye candy on the progress bar because why not.
-grep "^Color" /etc/pacman.conf >/dev/null || sed -i "s/^#Color/Color/" /etc/pacman.conf
+grep "^Color" /etc/pacman.conf >/dev/null || sed -i "s/^#Color$/Color/" /etc/pacman.conf
grep "ILoveCandy" /etc/pacman.conf >/dev/null || sed -i "/#VerbosePkgLists/a ILoveCandy" /etc/pacman.conf
# Use all cores for compilation.